:root {
  --border-radius: 3px;
  --admonition-title-border-radius: var(--border-radius) var(--border-radius)
    0px 0px;
  --admonition-border-radius: var(--border-radius) var(--border-radius)
    var(--border-radius) var(--border-radius);
  --font-family: "Roboto", sans-serif;
}

@font-face {
  font-family: "Roboto";
  src: url("../fonts/Roboto-Regular.ttf");
}

h1,
h2,
h3 {
  font-family: "Roboto", sans-serif;
  font-weight: bold;
  text-transform: uppercase;
}

h5,
h6 {
  font-size: revert;
  font-weight: revert;
}

h5 {
  margin-top: 1.5rem;
  margin-bottom: -0.5rem;
}

h6 {
  margin-top: 1rem;
  margin-bottom: -1rem;
}

td {
  min-width: 70px;
}

.bg-gray-dark {
  background-color: black;
}

.inline-image {
  display: inline-block;
  margin: 0;
}

#content p > img {
  margin-top: 0;
}

.num-ref {
  font-size: 22px;
  vertical-align: -3px;
  color: #4a568f;
}

/* Dark mode */
.dark .inline-image {
  filter: invert(1) brightness(2) contrast(1);
}

.dark .num-ref {
  color: #fff;
}

.danger-admonition {
  background-color: #f7f7f7;
}

.danger-admonition .admonition-title {
  background: #da3939;
  color: #f7f7f7;
}

.danger-admonition .admonition-title:before {
  content: url("../../icons/error-triangle-white.png");
}

.warning-admonition {
  background-color: #f7f7f7;
}

.warning-admonition .admonition-title {
  background: #f38a2b;
  color: #000000;
}

.warning-admonition .admonition-title:before {
  content: url("../../icons/error-triangle-dark.png");
}

.caution-admonition {
  background-color: #f7f7f7;
}

.caution-admonition .admonition-title {
  background: #ffee00;
  color: #000000;
}

.caution-admonition .admonition-title:before {
  content: url("../../icons/error-triangle-dark.png");
}

.note-admonition {
  background-color: #f7f7f7;
}

.note-admonition .admonition-title {
  background: #72afcd;
  color: #ffffff;
}

.note-admonition .admonition-title:before {
  content: url("../../icons/note-circle-white.png");
}

.info-admonition {
  background-color: #f7f7f7;
}

.info-admonition .admonition-title {
  background: #78838f;
}

.info-admonition .admonition-title:before {
  content: url("../../icons/note-circle-white.png");
}

.subtitle {
  color: #78838f;
}

/* Fixes: right sidebar does not scroll */
#right-sidebar > div:first-of-type {
  max-height: calc(100vh - 5rem);
}

/* Fixes: tocdepth settings of rst_prolog not working for optional subchapters inside of commands */
#right-sidebar ul ul ul {
  display: none;
}

[id^="mermaid"] {
  background-color: white;
}

.highlight-point {
    padding: 0 1em;
    border-left: 2px dashed rgba(211, 211, 211, 0.5);
    margin-bottom: 1em;
    margin-left: 1em;
}
